module Easy
  module Resources
    module Adam
      class Server < ::Easy::Resource

        self.element_name         = "server"
        self.include_root_in_json = true

        has_many :web_applications, class_name: 'Easy::Resources::Adam::WebApplication'

        def self.find_me_by_name(name)
          first(params: { w: "me|=|1,name|=|#{name}" })
        end

      end
    end
  end
end
